Passer au contenu principal
PUT
/
crm
/
objects
/
2026-03
/
{fromObjectType}
/
{fromObjectId}
/
associations
/
default
/
{toObjectType}
/
{toObjectId}
Associate records (default)
curl --request PUT \
  --url https://api.hubapi.com/crm/objects/2026-03/{fromObjectType}/{fromObjectId}/associations/default/{toObjectType}/{toObjectId} \
  --header 'Authorization: Bearer <token>'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "associationSpec": {
        "associationCategory": "HUBSPOT_DEFINED",
        "associationTypeId": 123
      },
      "from": {
        "id": "<string>"
      },
      "to": {
        "id": "<string>"
      }
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

fromObjectId
string
requis
fromObjectType
string
requis
toObjectId
string
requis
toObjectType
string
requis

Réponse

successful operation

The response returned after performing a batch operation on associations.

completedAt
string<date-time>
requis

The timestamp when the batch process was completed, in ISO 8601 format.

results
object[]
requis
startedAt
string<date-time>
requis

The timestamp when the batch process began execution, in ISO 8601 format.

status
enum<string>
requis

The status of the batch processing request: "PENDING", "PROCESSING", "CANCELLED", or "COMPLETE".

Options disponibles:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

An object containing relevant links related to the batch request.

numErrors
integer<int32>

The number of errors encountered during the batch processing.

requestedAt
string<date-time>

The timestamp when the batch process was initiated, in ISO 8601 format.

Last modified on April 2, 2026